using System.Runtime.Serialization;
using WCS.Entity.Protocol.BCR;
using WCS.Entity.Protocol.DataStructure;
using WCS.Entity.Protocol.Robot;
using WCS.Entity.Protocol.Station;
using WCS.Entity.Protocol.Truss;

namespace WCS.Entity.Protocol.Protocol.DataStructure
{
    /// <summary>
    ///  输送线数据
    /// </summary>
    [DataContract]
    public class StationData : DeviceData
    {
        [DataMember(Order = 3)]
        public WCS_Station520 D520 { get; set; }

        [DataMember(Order = 4)]
        public WCS_Station521 D521 { get; set; }

        [DataMember(Order = 5)]
        public WCS_Station523 D523 { get; set; }

        [DataMember(Order = 6)]
        public WCS_Station90 D90 { get; set; }

        [DataMember(Order = 7)]
        public WCS_Station91 D91 { get; set; }

        [DataMember(Order = 8)]
        public WCS_BCR80 D80 { get; set; }

        [DataMember(Order = 9)]
        public WCS_BCR81 D81 { get; set; }

        [DataMember(Order = 10)]
        public WCS_BCR83 D83 { get; set; }

        [DataMember(Order = 11)]
        public WCS_Station524 D524 { get; set; }

        [DataMember(Order = 12)]
        public WCS_Station525 D525 { get; set; }

        [DataMember(Order = 13)]
        public WCS_Truss530 D530 { get; set; }

        [DataMember(Order = 14)]
        public WCS_Truss531 D5531 { get; set; }

        [DataMember(Order = 15)]
        public WCS_Robot530 DR530 { get; set; }

        [DataMember(Order = 16)]
        public WCS_Robot531 DR531 { get; set; }
    }
}
